import { d as o, B as T, f as d, g as E, h as _, j as f, k as S, l as j, m as k } from "./main-jKCzbrWn.js";
import { j as O } from "./jsx-runtime-C5mzlN2N.js";
import { C as e } from "./css-BUXMI9PB.js";
const g = ({
  itemKey: t,
  className: s,
  onClick: n,
  size: a,
  ...r
}) => {
  const { onClick: l, selected: c, level: C = "p", gap: i, background: u } = o(), m = (x) => {
    l(t), n?.(x);
  }, p = c === t;
  return /* @__PURE__ */ O.jsx(
    T,
    {
      contrast: u,
      level: C,
      overflow: "nowrap",
      onClick: m,
      variant: "text",
      className: e(e.B("menu-item"), e.selected(p), s),
      size: a,
      gap: i,
      ...r
    }
  );
}, b = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  CONTEXT_MENU_CLASS: d,
  CONTEXT_SELECTED: E,
  CONTEXT_TARGET: _,
  ContextMenu: f,
  Divider: S,
  Item: g,
  Menu: j,
  useContext: o,
  useContextMenu: k
}, Symbol.toStringTag, { value: "Module" }));
export {
  b as e
};
